FairMQSocketZMQ Class Reference
Inheritance diagram for FairMQSocketZMQ:
[legend]
Collaboration diagram for FairMQSocketZMQ:
[legend]

## Public Member Functions

| FairMQSocketZMQ (const std::string &type, const std::string &name, const std::string &id="", void *context=nullptr)
| FairMQSocketZMQ (const FairMQSocketZMQ &)=delete
FairMQSocketZMQ | operator= (const FairMQSocketZMQ &)=delete
std::string | GetId () override
bool | Bind (const std::string &address) override
void | Connect (const std::string &address) override
int | Send (FairMQMessagePtr &msg, const int timeout=0) override
int | Receive (FairMQMessagePtr &msg, const int timeout=0) override
int64_t | Send (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, const int timeout=0) override
int64_t | Receive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, const int timeout=0) override
int | TrySend (FairMQMessagePtr &msg) override
int | TryReceive (FairMQMessagePtr &msg) override
int64_t | TrySend (std::vector< std::unique_ptr< FairMQMessage >> &msgVec) override
int64_t | TryReceive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec) override
void * | GetSocket () const override
int | GetSocket (int nothing) const override
void | Close () override
void | SetOption (const std::string &option, const void *value, size_t valueSize) override
void | GetOption (const std::string &option, void *value, size_t *valueSize) override
unsigned long | GetBytesTx () const override
unsigned long | GetBytesRx () const override
unsigned long | GetMessagesTx () const override
unsigned long | GetMessagesRx () const override
bool | SetSendTimeout (const int timeout, const std::string &address, const std::string &method) override
int | GetSendTimeout () const override
bool | SetReceiveTimeout (const int timeout, const std::string &address, const std::string &method) override
int | GetReceiveTimeout () const override

## Static Public Member Functions

static void | Interrupt ()
static void | Resume ()
static int | GetConstant (const std::string &constant)

The documentation for this class was generated from the following files:

- fairmq/zeromq/FairMQSocketZMQ.h
- fairmq/zeromq/FairMQSocketZMQ.cxx